Skip to main content
GET
Customers

GET /customers

Retrieve customers for your API key’s account. Send Authorization: Bearer YOUR_API_KEY and X-Device-ID: YOUR_DEVICE_ID. See authentication. The response is an array of customer records with nested contact, optional address, timestamps, consent, and statistics. See customer data.

Example request

Example response

Authorizations

Authorization
string
header
required

Location API key. Also requires X-Device-ID.

Headers

X-Device-ID
string
required

Stable device identifier. API key binds to this value on first use.

Response

Success

email
string<email>
required
Maximum string length: 255
contact
object
required
address
object | null
birthdate
string<date-time>
createdAt
string<date-time>
updatedAt
string<date-time>
stats
object